<?php
	$total	 = $_POST[total];
	$angka = (int) $total;
	$huruf	 ='';
	$huruf1 ='';
	
	$angka1 = substr($angka,0,1);
	$angka2 = substr($angka,1,1);
	$angka3 = substr($angka,2,1);
		
	if($angka1==1)		
		$huruf='Seratus ';
	else if($angka1==2)
		$huruf='Dua ratus ';
	else if($angka1==3)
		$huruf='Tiga ratus ';
	else if($angka1==4)
		$huruf='Empat ratus ';
	else if($angka1==5)
		$huruf='Lima ratus ';
	else if($angka1==6)
		$huruf='Enam ratus ';
	else if($angka1==7)
		$huruf='Tujuh ratus ';
	else if($angka1==8)
		$huruf='Delapan ratus ';
	else $huruf='Sembilan ratus ';
		$huruf1=$huruf1.$huruf;
			
	if($angka2<2){
		if($angka2==0){
			$huruf='';
			$huruf1=$huruf1.$huruf;
		}else{	
			if($angka3==0)
				$huruf='sepuluh ';
			else if($angka3==1)
				$huruf='sebelas ';
			else if($angka3==2)
				$huruf='dua belas ';
			else if($angka3==3)
				$huruf='tiga belas ';
			else if($angka3==4)
				$huruf='empat belas ';
			else if($angka3==5)
				$huruf='lima belas ';
			else if($angka3==6)
				$huruf='enam belas ';
			else if($angka3==7)
				$huruf='tujuh belas ';
			else if($angka3==8)
				$huruf='delapan belas ';
			else if($angka3==9)
				$huruf='sembilan belas ';
			$huruf1=$huruf1.$huruf;
		}
		
	}else{
		if($angka2==2)
			$huruf='dua ';
		else if($angka2==3)
			$huruf='tiga ';
		else if($angka2==4)
			$huruf='empat ';
		else if($angka2==5)
			$huruf='lima ';		
		else if($angka2==6)
			$huruf='enam ';		
		else if($angka2==7)
			$huruf='tujuh ';		
		else if($angka2==8)
			$huruf='delapan ';		
		else	$huruf='sembilan ';
		$huruf1=$huruf1.$huruf.'puluh '; 
	}
	
	if(!($angka3==0)){
		if($angka3==1)
			$huruf='satu ';
		else if($angka3==2)
			$huruf='dua ';
		else if($angka3==3)
			$huruf='tiga ';
		else if($angka3==4)
			$huruf='empat ';
		else if($angka3==5)
			$huruf='lima ';
		else if($angka3==6)
			$huruf='enam ';
		else if($angka3==7)
			$huruf='tujuh ';
		else if($angka3==8)
			$huruf='delapan ';
		else $huruf='sembilan ';		
		$huruf1=$huruf1.$huruf;		
	}
	
	$huruf1=$huruf1.'rupiah';
	$data['terbilang']=$huruf1;	
	echo json_encode($data);
?>
